# $Id: AboutBox.pm,v 1.5 2003/12/05 13:45:52 jodrell Exp $
package Greenwich::AboutBox;

use strict;

my $AUTHORS = [
	'Gavin Brown <gavin.brown@uk.com> (main development)',
	'Mark Howard <mh@tildemh.com> (Debian packages and manpage)',
	'Dag Wieers <dag@wieers.com> (RPM packages)',
];

my $TRANSLATORS = [
	'Peter Wouda <peter.wouda@btinternet.com> (Dutch translation)',
	'Marcus Eskilsson <marcus_eskilsson@muf.se> (Swedish translation)',
	'Franck Routier <franck.routier@axege.com> (French Translation)',
	'Ricardo Mones Lastra <ricardo.mones@hispalinux.es> (Spanish Translation)',
	'Dario Conigliaro <mad.horse@tiscalinet.it> (Italian Translation)',
];

my $COPYRIGHT = sprintf('%s %04d Gavin Brown', chr(169), (localtime())[5]+1900);

# About box:
sub new {
	my ($package, $greenwich) = @_;
	my $aboutBox = new Gnome2::About(
		$greenwich->{NAME},
		$greenwich->{VERSION},
		$COPYRIGHT,
		$greenwich->string('comments'),
		$AUTHORS,
		'',
		join("\n", @{$TRANSLATORS}),
		''
	);
	$aboutBox->set_icon(Gtk2::Gdk::Pixbuf->new_from_file($Greenwich::ICONFILE));
	$aboutBox->show();
	return;
}

1;
