# $Id: WhoisClient.pm,v 1.5 2003/07/19 16:24:33 jodrell Exp $
package Greenwich::WhoisClient;

use IO::Socket;
use FileHandle;
use strict;

sub new {
	my $self		= {};
	$self->{PACKAGE}	= shift;
	bless($self, $self->{PACKAGE});
	return $self;
}

sub whois {
	my $self = shift;
	$self->{fh} = FileHandle->new();
	my %args = @_;
	my ($response, $error) = $self->whois_native(%args);
	if (defined($error)) {
		$error =~ s/IO::Socket::INET: //ig;
		return ($response, $error);
	} elsif ($response =~ /whois server(:|=)(\s*)(.*)/i && $args{follow} eq 'true') {
		my $newserver = $3;
		$newserver =~ s/[\r\n]//g;
		$args{server} = $newserver;
		my ($new_response, $error) = $self->whois(%args);
		$response .= $new_response;
	}
	return ($response, $error);
}

sub whois_native {
	my $self = shift;
	my %args = @_;
	my $output = sprintf("[%s]\n", $args{server});
	my $socket = $self->{fh};
	$socket = IO::Socket::INET->new(
		PeerAddr	=> $args{server},
		PeerPort	=> $args{port},
		Proto		=> 'tcp',
		Type		=> SOCK_STREAM,
		Timeout		=> $args{timeout}
	) or return ($output, $@);
	Gtk2->main_iteration while (Gtk2->events_pending);
	print $socket "$args{query}\r\n";
	while (<$socket>) {
		Gtk2->main_iteration while (Gtk2->events_pending);
		$output .= $_;
	}
	return ($output, undef);
}

1;
